Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 440945 - FTBFS gprolog-1.3.0-12.fc9
Summary: FTBFS gprolog-1.3.0-12.fc9
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gprolog
Version: 9
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x64, F-ExcludeArch-x64 FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-04-04 17:18 UTC by FTBFS
Modified: 2008-06-23 17:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 17:37:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-04-04 17:18 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-04-04 17:18 UTC, FTBFS
no flags Details

Description FTBFS 2008-04-04 17:18:27 UTC
gprolog-1.3.0-12.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-04-04 17:18:31 UTC
Created attachment 301294 [details]
root.log.bz2

root.log for x86_64

Comment 2 FTBFS 2008-04-04 17:18:33 UTC
Created attachment 301295 [details]
build.log.bz2

build.log for x86_64

Comment 3 Jochen Schmitt 2008-04-09 14:07:03 UTC
I have exclude the x86_64 arch.

Comment 4 Matt Domsch 2008-04-09 18:20:05 UTC
That doesn't seem like  a valid resolution.  Is the software intentionally not
able to run on x86_64?  It seems like the actual failure is in the gplc
application.  Don't exclude x86_64, fix the underlying bug in gplc please.

gplc -c --fast-math parse.pl
Fatal Error: trail stack overflow (size: 3072 Kb, environment variable used:
TRAILSZ)
compilation failed
make[1]: *** [parse.o] Error 1


Comment 5 Jochen Schmitt 2008-04-10 19:46:40 UTC
Sorry, but on F-8 and F-8 the build for the x86_64 architecture works fine.

I have read in the log of a FESCo-meeting that there should be a bug of the 
x86_64 release of the glibc-release in the development branch with caused a 
issue for the memory management.

I assume that my issue was caused by this glibc issue.

Comment 6 Bug Zapper 2008-05-14 08:54:29 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Jochen Schmitt 2008-06-15 20:26:01 UTC
bug should be fixed in gprolog-1.3.0-16

Comment 8 Fedora Update System 2008-06-15 20:30:50 UTC
gprolog-1.3.0-16.fc9 has been submitted as an update for Fedora 9

Comment 9 Fedora Update System 2008-06-15 20:37:46 UTC
gprolog-1.3.0-16.fc8 has been submitted as an update for Fedora 8

Comment 10 Jochen Schmitt 2008-06-23 17:37:10 UTC
Fixed version released as stable.


Note You need to log in before you can comment on or make changes to this bug.